# Gimp.FileProcedure.set_prefixes

    @accepts(Gimp.FileProcedure, unicode)
    @returns(none)
    def set_prefixes(self, prefixes):
        # Python wrapper for gimp_file_procedure_set_prefixes()

It should almost never be necessary to register prefixes with file procedures, because most sorts of URIs should be handled by GIO.

Since 3.0

self

  A file procedure object.

prefixes

  A comma separated list of prefixes this procedure can handle (i.e. "http:,ftp:").